Subject: RE : [Pana] more comment on draft-ietf-pana-pana-06

From: "MORAND Lionel RD-CORE-ISS" <[email-masked]>
Date: Wed, 3 Nov 2004 10:38:39 +0100

Hi Yoshi,

One comment: the Failed-AVP AVP is of type Grouped (as defined in RFC 3588). However, you could use one Failed-AVP AVP per "offending" AVP.
For instance for the following error case, you may have several occurances of the Failed-AVP AVP:

PANA_AVP_UNSUPPORTED                    5001

      Error code from PAA to PaC or from PaC to PAA.  The received
      message contained an AVP that is not recognized or supported and
      was marked with the Mandatory bit.  A PANA message with this error
      MUST contain one or more Failed-AVP AVP containing the AVPs that
      caused the failure.

So the proposed modification should be:

Change section 8.2.4 to:

"
8.2.14  PANA-Error-Request (PER)

   PANA-Error is sent either by the PaC or the PAA.

         PANA-Error-Request ::= < PANA-Header: 8 REQ >
                        < Session-Id >
                        < Result-Code >
                     *  [ Failed-AVP ]
                     *  [ AVP ]
                    0*1 < MAC >

"

Change Figure 13 to:

                          +-------------------------------------+
                          |               Message               |
                          |                Type                 |
                          +-----+-----+-----+-----+------+------+
      Attribute Name      | PUR | PUA | PER | PEA | PRAR | PRAA |
      --------------------+-----+-----+-----+-----+------+------+
      ...
      Failed-AVP          |  0  |  0  | 0+  |  0  |  0   |  0   |
      ...                               ^^^

Best regards,

Lionel

> -----Message d'origine-----
> De : [email-masked] [mailto:[email-masked]] De 
> la part de Yoshihiro Ohba
> Envoyé : mardi 2 novembre 2004 11:59
> À : [email-masked]
> Objet : [Pana] more comment on draft-ietf-pana-pana-06
> 
> 
> "
> 8.2.14  PANA-Error-Request (PER)
> 
>    PANA-Error is sent either by the PaC or the PAA.
> 
>          PANA-Error-Request ::= < PANA-Header: 8 REQ >
>                         < Session-Id >
>                         < Result-Code >
>                         { Failed-AVP }
>                      *  [ AVP ]
>                     0*1 < MAC >
> "
> 
> The Failed-AVP is defined as a required AVP in PER, but this 
> should be an optional AVP for an error that is not related to 
> any AVP.  At least the following result code is not related 
> to any AVP:
> 
>    PANA_MESSAGE_UNSUPPORTED                3001
> 
>       Error code from PAA to PaC or from PaC to PAA.  Message type not
>       recognized or supported.
> 
>    PANA_INVALID_HDR_BITS                   3008
> 
>       Error code from PAA to PaC or from PaC to PAA.  A message was
>       received whose bits in the PANA header were either set to an
>       invalid combination, or to a value that is inconsistent with the
>       message type's definition.
> 
> Suggested changes:
> 
> Change section 8.2.4 to:
> 
> "
> 8.2.14  PANA-Error-Request (PER)
> 
>    PANA-Error is sent either by the PaC or the PAA.
> 
>          PANA-Error-Request ::= < PANA-Header: 8 REQ >
>                         < Session-Id >
>                         < Result-Code >
>                         [ Failed-AVP ]
>                      *  [ AVP ]
>                     0*1 < MAC >
> 
> "
> 
> Change Figure 13 to:
> 
>                           +-------------------------------------+
>                           |               Message               |
>                           |                Type                 |
>                           +-----+-----+-----+-----+------+------+
>       Attribute Name      | PUR | PUA | PER | PEA | PRAR | PRAA |
>       --------------------+-----+-----+-----+-----+------+------+
>       ...
>       Failed-AVP          |  0  |  0  | 0-1 |  0  |  0   |  0   |
>       ...                               ^^^
> 
> 
> Regards,
> 
> Yoshihiro Ohba
> 
> _______________________________________________
> Pana mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pana
> 

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana

---

From: Yoshihiro Ohba <[email-masked]>
Date: Tue, 02 Nov 2004 21:21:09 -0500

Hi Lionel,

You are right, and I agree on the modification you propose.

Thanks for pointing this out.

Yoshihiro Ohba